---
- name: test reachability using ICMP
  hosts: vyos
  gather_facts: no
  vars:
    count: 3
    # fr (source) and to (dest) vars are --extra-vars
    cmds: [ "ping {{ to }} interface {{ fr }} count {{ count }}" ]
  tasks:
  - name: on {{ inventory_hostname }} to {{ to }} from {{ fr }}
    vyos_command:
      commands: "{{ cmds }}"
    register: ping_result
    when: ansible_network_os == 'vyos'
  - name: display the result
    debug:
      msg: "{{ ping_result }}"
